imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }

framework:
    #esi: ~
    translator: { fallbacks: ['%locale%'] }
    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enable_annotations: true }
    #serializer: { enable_annotations: true }
    default_locale: '%locale%'
    trusted_hosts: ~
    session:
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id: session.handler.native_file
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    fragments: ~
    http_method_override: true
    assets: ~
    php_errors:
        log: true
    templating: { engines: ['twig'] }

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'

# Doctrine Configuration
doctrine:
    dbal:
        driver: pdo_mysql
        host: '%database_host%'
        port: '%database_port%'
        dbname: '%database_name%'
        user: '%database_user%'
        password: '%database_password%'
        charset: UTF8

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    spool: { type: memory }

sensio_framework_extra:
   router:
        annotations: false

fos_rest:
    param_fetcher_listener: true
    body_listener: true
    format_listener:
        enabled: true
        rules:
            - { path: '^/', priorities: ['json', "html"], fallback_format: 'json', prefer_extension: true }
    versioning: false
    view:
        view_response_listener: 'force'
        formats:
            json: true
        templating_formats:
            html: true
        default_engine: twig
    routing_loader:
        default_format: json
    access_denied_listener:
        json: true
    exception:
        enabled: true
    serializer:
        serialize_null: true
    disable_csrf_role: ROLE_API

nelmio_cors:
    defaults:
        allow_credentials: false
        allow_origin: []
        allow_headers: []
        allow_methods: []
        expose_headers: []
        max_age: 0
        hosts: []
        origin_regex: false
        forced_allow_origin_value: ~
    paths:
        '^/':
            allow_origin: ['*']
            allow_headers: ['X-Custom-Auth', 'Content-Type', 'X-Requested-With', 'x-api-key']
            allow_methods: ['POST', 'PUT', 'GET', 'DELETE']
            max_age: 3600

nelmio_api_doc: ~

telnowedge_third_party_call_control:
  zizanix:
    scheme: %3pcc_zizanix_scheme%
    host: %3pcc_zizanix_host%
    port: %3pcc_zizanix_port%
  ios:
    devel_users: %3pcc_ios_devel_users%

jms_serializer:
  property_naming:
    id: 'jms_serializer.identical_property_naming_strategy'
  metadata:
    directories:
      FreePbx:
        namespace_prefix: "TelNowEdge\\Module"
        path: "%kernel.root_dir%/../vendor/telnowedge/base-bundle/Resources/serializer/FreePbx"
      Base:
        namespace_prefix: "TelNowEdge\\FreePBX\\Base"
        path: "%kernel.root_dir%/../vendor/telnowedge/base-bundle/Resources/serializer/Base"
